20 September 2009

Pacth Dota Warcraft 1.24b

Pacth Warcraft 1.24b

Untuk bermain dota allstars versi 6.62 keatas (6.63, 6.64, 6.65, dst) memerlukan pacth tambahan versi 1.24b. Kalau tidak, maka map-map versi 6.62 keatas (termasuk versi AI) tidak akan bisa dimainkan. Hanya yang versi 6.61 kebawah yang bisa dimainkan.

Adapun Changelogs nya dikutip dari http://www.dota-utilities.com adalah sebagai berikut:

Warcraft 1.24b Patch Changelogs:

PC WORLD EDITOR CHANGES

- Increased map file size from 4 MB to 8 MB.
- Added the ability to store hashtable handles in a hashtable.
- Added GetSpellTargetX and GetSpellTargetY natives.
- Added a new base handle type “Agent” of which many types now extend from.
- Added a SaveAgentHandle native which can be used for saving most handle types.
- Added a JASS optimization dealing with global variable change events.

FIXES

- Fixed a few false positives caused by the "return bug" fix.
- Fixed a crash related to hashtable reference counting.
- “Shadowing” global variables with local variables no longer is possible.
- Fixed a type conversion dealing with operators (i.e. adding a handle with an integer).

Download Warcraft 1.24 Version Switcher disini:

Rapidshare Link
MegaUpload Link

Berikut cara mengganti versi 1.24b:

1. Extract file berbentuk zip dari link diatas.

2. Cek folder extractnya dan buka file “WVS”.

3. Sebuah peringatan akan muncul, klik OK. Isi peringatan itu jika diartikan kurang lebih seperti ini: “Tidak dapat menemukan file warcraft. Harap dicari/dipilih secara manual”.



4. Pilih secara manual folder Warcraft 3, lalu klik OK dibagian bawahnya.



5. Setelah itu aplikasi akan menutup sendiri. Buka folder WVS sekali lagi.



6. klik “switch version” di tombol paling kanan (tombol pertama).



7. Dobel klik versi Warcraft 1.24b.

8. Versi Warcraft 1.24b sudah terganti (versi terbaru). Sekarang anda dapat memainkan semua dota allstars versi 6.62 keatas (versi terbaru).

Note:

Setelah saya mencoba langkah-langkah yang telah diberikan, hasilnya memang berhasil. Dota Allstars versi 6.62 keatas (termasuk yang versi AI terbaru). Tapi Dota Allstars versi 6.61 kebawah sudah tidak bisa dibuka, meskipun kembali mengganti ke versi lamanya. Begitupun dengan versi 6.59 AI plus juga sudah menghilang. (Yah, mungkin dari pihak pembuat game Dota ini berpikir, buat apa terus mempertahankan versi lamanya, toh juga tidak akan ada lagi yang main, termasuk yang diperlombakan).

7 komentar:

Zippy mengatakan...

Wah, kebetulan belum punya game'x sob, jadi gak download deh, hehhehe...
Btw, met idul fitri yah sob :)

BlaGabloGer mengatakan...

Wah,,, suka main dota yaaa...

hehehe, tapi saya gak bgitu mengerti tentang game online....

NoRLaNd mengatakan...

wew, tinggal di extrax kek waktu 1.21 ke 1.22 ya ?!
nice info ne...
bentar lg idgr pub suruh ganti se -_-a

sanman mengatakan...

Ya. Mudah saja.
Tinggal di swicth versinya ke 1.24b.

antwa mengatakan...

waduh sob klo yang disini mah version switcher ajah & bukan patchnya sob (klo patchnya yang ada diblog saya)?????
btw minal aidhin yah sob....maaf baru ngucapin coz baru bisa ol sekarang-sekarang (lagi sibuk didunia nyata)...

Anonim mengatakan...

saya coba patch versi 1.24a dan berhasil (utk offline),tp setelah saya coba mainkan dota ai tdk bisa (menu tampilan kembali ke tampilan create game).saya jd mikir2 mo upgrade ke 1.24b,jgn2 malah ga bisa semua ntar.Please help,apakah ada yg bisa bantu solusinya?

sanman mengatakan...

dota AI nya versi berapa dulu bro?
Kalo versi 6.59 kebawah harus SWICTH kembali ke versi 1.23 kebawah.
Kalo versi AI nya sudah 6.59 keatas sudah egk masalah, harusnya bisa kebuka.